View Issue Details

IDProjectCategoryView StatusLast Update
0006135mantisbtadministrationpublic2005-11-17 09:15
ReporterMattB Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0006135: Project managers
Description

Has there ever been any discussion about designating one or more managers to a project? Then there's one or more contact users that can be used for a number of things:

1) auto notification of new bugs for the project
2) so the users of a project know who to go to when they need to speak to someone "at the top"
3) bugs can be resolved by developers but can only be closed by the project manager
4) some kind of daily/weekly etc digest report of bugs opened/resolved/closed etc

The manager permissions group doesn't really fit the bill - one reason is that I'm a Mantis administrator therefore can't also be added as a project manager.

Thoughts?

TagsNo tags attached.

Activities

vboctor

vboctor

2005-08-12 09:38

manager   ~0011187

You shouldn't use an administator account for your daily usage. You should use it only to administer the system, and have another account for your standard usage. This allows you to assign your real user name to the appropriate project and with the appropriate access levels.

demon

demon

2005-08-12 12:31

reporter   ~0011190

3) bugs can be resolved by developers but can only be closed by the project manager
http://bugs.mantisbt.org/view.php?id=6046

demon

demon

2005-08-12 12:33

reporter   ~0011192

4) some kind of daily/weekly etc digest report of bugs opened/resolved/closed etc
It would be nice make summury for custom period.
With possibility of Gaant diagrams, I think it must be pretty good.

demon

demon

2005-08-12 12:35

reporter   ~0011193

2) so the users of a project know who to go to when they need to speak to someone "at the top"
Try use proj_doc_page.php for containing such information.

jjtest

jjtest

2005-11-16 12:35

reporter   ~0011626

In reply to vboctor, that is all good and well...but as my admin ID I have months of issues/projects under my belt. When I decide to add an adminonly account, then change my original login access type to, say, manager or developer... I LOSE ALL OF MY HISTORY. Every bit of it. When I switch my original login back to administrator access... everything comes back.

So what am I to do? I am running v19.1. thanks. jj

thraxisp

thraxisp

2005-11-17 08:47

reporter   ~0011627

Did you create a new account as administrator, then downgrade your original account? (Do not delete your original account). No history will be lost in this case. The visibility of the history may be affected by your new access level.

jjtest

jjtest

2005-11-17 08:51

reporter   ~0011628

Thanks. I gathered that it was not deleted by the way it came back when I changed my access rights...but effectively...it is gone everafter for me...which is less than useful.

Is there any way to "downgrade" my access and not lose access to everything I am currently working on?

Issue History

Date Modified Username Field Change
2005-08-12 09:20 MattB New Issue
2005-08-12 09:38 vboctor Note Added: 0011187
2005-08-12 12:31 demon Note Added: 0011190
2005-08-12 12:33 demon Note Added: 0011192
2005-08-12 12:35 demon Note Added: 0011193
2005-11-16 12:35 jjtest Note Added: 0011626
2005-11-17 08:47 thraxisp Note Added: 0011627
2005-11-17 08:51 jjtest Note Added: 0011628